CREATE TABLE  CDM_Product_Master_Original  (
   Product_Id  bigint(20) NOT NULL,
   Product_Name  varchar(128) NOT NULL DEFAULT '',
   Product_Comm_Name  varchar(128) NOT NULL DEFAULT '',
   Product_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Product_Genome  varchar(512) NOT NULL DEFAULT '',
   Product_Genome_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Brand_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Div_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Dep_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cat_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Season_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   BU_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Section_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Manuf_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Comp_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Brand_Id  bigint(20) NOT NULL DEFAULT -1,
   Div_Id  bigint(20) NOT NULL DEFAULT -1,
   Dep_Id  bigint(20) NOT NULL DEFAULT -1,
   Cat_Id  bigint(20) NOT NULL DEFAULT -1,
   Season_Id  bigint(20) NOT NULL DEFAULT -1,
   BU_Id  bigint(20) NOT NULL DEFAULT -1,
   Section_Id  bigint(20) NOT NULL DEFAULT -1,
   Manuf_Id  bigint(20) NOT NULL DEFAULT -1,
   Is_Processed  tinyint(4) NOT NULL DEFAULT -1,
   Is_Active  varchar(128) NOT NULL DEFAULT '1',
   Is_Private_Label  varchar(128) NOT NULL DEFAULT '',
   Is_Premium  varchar(128) NOT NULL DEFAULT '',
   Unit_Price  decimal(15,2) NOT NULL DEFAULT -1.00,
   Inventory_Qty  bigint(20) NOT NULL DEFAULT -1,
   Up_Sell_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cross_Sell_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Launch_Date  date DEFAULT NULL,
   Expiry_Date  date DEFAULT NULL,
   Launch_Year  smallint(6) DEFAULT NULL,
   Launch_Year_Month  int(11) DEFAULT NULL,
   Launch_Day_Week  tinyint(4) NOT NULL DEFAULT -1,
   Uom  varchar(128) NOT NULL DEFAULT '',
   Tax_Category  varchar(128) NOT NULL DEFAULT '',
   Product_Desc  varchar(128) NOT NULL DEFAULT '',
   To_Be_Excluded  varchar(128) NOT NULL DEFAULT '0',
   Is_Combo  varchar(128) NOT NULL DEFAULT '',
   Is_Ingredient  varchar(128) NOT NULL DEFAULT '',
   Festival_Id_During_Launch  bigint(20) NOT NULL DEFAULT -1,
   Brand_Event_Id_During_Launch  bigint(20) NOT NULL DEFAULT -1,
   Fabric_Base  varchar(128) NOT NULL DEFAULT '',
   Fit  varchar(128) NOT NULL DEFAULT '',
   Design  varchar(128) NOT NULL DEFAULT '',
   Colour  varchar(128) NOT NULL DEFAULT '',
   Replenish_Days  bigint(10) DEFAULT -1,
   Custom_Attrib  varchar(1024) NOT NULL DEFAULT '',
   Custom_Tag1_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag2_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag3_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag4_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag5_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag6_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag7_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag8_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag9_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag10_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag11_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag12_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag13_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag14_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag15_LOV_Id  bigint(20) DEFAULT -1,
   Created_Date  timestamp NOT NULL DEFAULT current_timestamp(),
   Modified_Date  timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
   Associated_Age  int(10) DEFAULT NULL,
   Image_LOV_Id  bigint(20) DEFAULT -1,
   Product_URL  varchar(128) DEFAULT '-1',
  PRIMARY KEY ( Product_Id ),
  KEY  Product_Genome_LOV_Id  ( Product_Genome_LOV_Id ),
  KEY  Product_Genome  ( Product_Genome ),
  KEY  Product_LOV_Id  ( Product_LOV_Id ),
  KEY  Cat_LOV_Id  ( Cat_LOV_Id ),
  KEY  Cat_Id  ( Cat_Id ),
  KEY  Brand_LOV_Id  ( Brand_LOV_Id ),
  KEY  Brand_Id  ( Brand_Id ),
  KEY  BU_LOV_Id  ( BU_LOV_Id ),
  KEY  BU_Id  ( BU_Id ),
  KEY  Dep_LOV_Id  ( Dep_LOV_Id ),
  KEY  Dep_Id  ( Dep_Id ),
  KEY  Div_LOV_Id  ( Div_LOV_Id ),
  KEY  Div_Id  ( Div_Id ),
  KEY  Season_LOV_Id  ( Season_LOV_Id ),
  KEY  Season_Id  ( Season_Id ),
  KEY  Section_LOV_Id  ( Section_LOV_Id ),
  KEY  Section_Id  ( Section_Id ),
  KEY  Manuf_LOV_Id  ( Manuf_LOV_Id ),
  KEY  Manuf_Id  ( Manuf_Id ),
  KEY  Comp_LOV_Id  ( Comp_LOV_Id ),
  KEY  Custom_Tag1_LOV_Id  ( Custom_Tag1_LOV_Id ),
  KEY  Custom_Tag2_LOV_Id  ( Custom_Tag2_LOV_Id ),
  KEY  Custom_Tag3_LOV_Id  ( Custom_Tag3_LOV_Id ),
  KEY  Custom_Tag4_LOV_Id  ( Custom_Tag4_LOV_Id ),
  KEY  Custom_Tag5_LOV_Id  ( Custom_Tag5_LOV_Id ),
  KEY  Cross_Sell_LOV_Id  ( Cross_Sell_LOV_Id ),
  KEY  Up_Sell_LOV_Id  ( Up_Sell_LOV_Id ),
  KEY  To_Be_Excluded  ( To_Be_Excluded ),
  KEY  Is_Active  ( Is_Active ),
  KEY  Replenish_Days  ( Replenish_Days ),
  KEY  Associated_Age  ( Associated_Age ),
  KEY  Expiry_Date  ( Expiry_Date ),
  KEY  Is_Processed  ( Is_Processed ),
  KEY  Modified_Date  ( Modified_Date ),
  KEY  Launch_Year_Month  ( Launch_Year_Month ),
  KEY  Custom_Tag6_LOV_Id  ( Custom_Tag6_LOV_Id ),
  KEY  Custom_Tag7_LOV_Id  ( Custom_Tag7_LOV_Id ),
  KEY  Custom_Tag8_LOV_Id  ( Custom_Tag8_LOV_Id ),
  KEY  Custom_Tag9_LOV_Id  ( Custom_Tag9_LOV_Id ),
  KEY  Custom_Tag10_LOV_Id  ( Custom_Tag10_LOV_Id ),
  KEY  Custom_Tag11_LOV_Id  ( Custom_Tag11_LOV_Id ),
  KEY  Custom_Tag12_LOV_Id  ( Custom_Tag12_LOV_Id ),
  KEY  Custom_Tag13_LOV_Id  ( Custom_Tag13_LOV_Id ),
  KEY  Custom_Tag14_LOV_Id  ( Custom_Tag14_LOV_Id ),
  KEY  Custom_Tag15_LOV_Id  ( Custom_Tag15_LOV_Id )
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
